* {
	background-color: #ffffff;
    font-size: 13px;
}

QMainWindow,
QAbstractItemView,
QTreeView::branch,
QTabBar::tab,
QTreeWidget,
QToolBox,
QQuickWidget,
QGroupBox,
QFrame,
QLCDNumber,
QDialog, 
QDialogButtonBox,
QLabel,
QScrollArea,
QDockWidget {
    color: #205aa7;
    background: #ffffff;
    border-color: #205aa7;
    selection-background-color: #205aa7;
    selection-color: #ffffff;
    alternate-background-color: #eeeeee;
}

QListView,
QListWidget,
QTableView,
QColumnView,
QMessageBox,
QAbstractScrollArea,
QSlider {
    border-color: #d33682;
    background: #dce7f5;
    color: #fdf6e3;
    selection-background-color: #268bd2;
    selection-color: #eee8d5;
}

QFrame {
	color: #205aa7;
}
QLCDNumber {
    color: #205aa7;
	background-color: #dce7f5; 
}

QScrollArea{
	border: none;
}

QTreeWidget {
	border: 1px solid #6c71c4;
}

QTreeView::branch:open:adjoins-item:has-children {
    background: transparent url(themes/Space/arrow-bottom.png) center center no-repeat;
    margin: 0;
}

QTreeView::branch:closed:adjoins-item:has-children {
    background: transparent url(themes/Space/arrow-left.png) center center no-repeat;
    margin: 0;
}
QAbstractItemView::item:selected {
    color: #bbbbbb;
    background-color: #2f65ca;
    outline: none;
}
QAbstractItemView::branch:open:selected,
QAbstractItemView::branch:closed:selected,
QAbstractItemView::branch:open:adjoins-item:selected,
QAbstractItemView::branch:closed:adjoins-item:selected,
QAbstractItemView::branch:open:adjoins-item:has-children:selected,
QAbstractItemView::branch:closed:adjoins-item:has-children:selected {
    background-color: #2f65ca;
}

QDockWidget::title {
	border-top-left-radius: 3px; 
	border-top-right-radius: 3px; 
	border: 1px solid #9faec2;
	background-color: #dce7f5; 
}

QToolButton {
    color: #205aa7;
}
QToolButton:disabled {
    color: #777777;
}
QPushButton,
QDialog QToolButton,
QDialog QToolButton:hover {
    border-radius: 2px;
    text-align: center;
    text-decoration: none;
    font-size: 13px;
    color: #205aa7;
    border: 1px solid #205aa7;
    background-color: qlineargradient(x1:0, y1:0, x2:0, y2:1, stop:0 #ffffff, stop:1 #dce7f5);
}
QPushButton {
    padding: 0 10px 2px;
    min-width: 50px;
    height: 22px;
}
QPushButton:hover {
    border: 1px solid #e32e3d;
}
QDialog QToolButton,
QDialog QToolButton:hover {
    padding: 0;
    min-width: 30px;
    height: 21px;
}
QDialog QToolButton[popupMode="1"] {
    padding-right: 20px;
}
QDialog QToolButton::menu-button {
    border-left: 1px solid #5e5f60;
    width: 20px;
}
QPushButton:pressed,
QDialog QToolButton:pressed {
    background-color: qlineargradient(x1:0, y1:0, x2:0, y2:1, stop:0 #9faec2, stop:1 #205aa7);
}
QPushButton:default {
    border: 1px solid #575d65;
    color: #ffffff;
    font: bold;
    background-color: qlineargradient(x1:0, y1:0, x2:0, y2:1, stop:0 #9faec2, stop:1 #205aa7);
}
QPushButton:default:pressed {
    background-color: qlineargradient(x1:0, y1:0, x2:0, y2:1, stop:0 #9faec2, stop:1 #205aa7);
}
QPushButton:focus,
QPushButton:default:focus,
QDialog QToolButton:focus {
    outline: none;
    border: 1px solid #205aa7;
	color: #ffffff;
    background-color: qlineargradient(x1:0, y1:0, x2:0, y2:1, stop:0 #dce7f5, stop:1 #205aa7);
}
QToolButton::menu-arrow {
    image: url(themes/Space/arrow-down.png);
}
QPushButton::menu-indicator,
QPushButton::menu-indicator:pressed {
    position: absolute;
    background: url(themes/Space/arrow-down.png) center center no-repeat;
    width: 20px;
    height: 24px;
    top: 0;
    right: 0;
    border-left: 1px solid #5e5f60;
}
QPushButton:disabled,
QDialog QToolButton:disabled,
QPushButton::menu-indicator:disabled,
QDialog QToolButton::menu-button:disabled {
    border-color: #595a5a;
    color: #777777;
    background-color: transparent;
}

QScrollBar {
    border: none;
    background: #dce7f5;
    height: 12px;
    width: 12px;
    margin: 0px;
}
QScrollBar:horizontal {
    padding: 1px 0 1px;
}
QScrollBar:vertical {
    padding: 0 1px 0 1px;
}
QScrollBar::handle {
    background: #268bd2;
    min-width: 10px;
    min-height: 10px;
    border: 1px solid #205aa7;
    border-radius: 1px;
}
QScrollBar::handle:horizontal {
    min-width: 40px;
    background-color: qlineargradient(x1:0, y1:0, x2:0, y2:1, stop:0 #ffffff, stop:1 #dce7f5);
}
QScrollBar::handle:vertical {
    min-height: 40px;
    background-color: qlineargradient(x1:0, y1:0, x2:1, y2:0, stop:0 #ffffff, stop:1 #dce7f5);
}
QScrollBar::handle:horizontal:hover,
QScrollBar::handle:horizontal:focus {
    background-color: qlineargradient(x1:0, y1:0, x2:0, y2:1, stop:0 #dce7f5, stop:1 #205aa7);
}
QScrollBar::handle:vertical:hover,
QScrollBar::handle:vertical:focus {
    background-color: qlineargradient(x1:0, y1:0, x2:1, y2:0, stop:0 #dce7f5, stop:1 #205aa7);
}
QScrollBar::add-line, QScrollBar::sub-line {
    background: none;
    border: none;
}
QScrollBar::add-page,
QScrollBar::sub-page {
    background: none;
}

QTabBar::tab {
    border: 1px solid #205aa7;
    border-radius: 0;
    font-size: 13px;
    color: #205aa7;
    padding: 0 20px;
    background-color: #dce7f5;
    border-bottom: 0;
    height: 22px;
}
QTabBar::tab:selected {
    border: 1px solid #205aa7;
    border-radius: 0;
    font-size: 13px;
    color: #ffffff;
    height: 21px;
    font: normal;
    background-color: qlineargradient(x1:0, y1:0, x2:0, y2:1, stop:0 #dce7f5, stop:1 #205aa7);
}
QTabWidget::pane {
    border: 1px solid #205aa7;
    background-color: #002b36;
    background-color: qlineargradient(x1:0, y1:0, x2:0, y2:1, stop:0 #073642, stop:0.03 #002b36, stop:0.05 #002b36, stop:1 #002b36);
}
QTabBar::close-button {
    image: url(themes/Space/close.png);
    subcontrol-position: right;
}
QTabBar::close-button:hover {
    image: url(themes/Space/close-hover.png);
}
QTabWidget, QTabWidget::tab-bar {
    border-color: #205aa7;
}
QDialog QTabBar {
    border: 1px solid #205aa7;
    height: 26px;
}
QDialog QTabBar::tab:selected {
    margin: 1px 0 -1px 1px;
    border: 1px solid #205aa7;
    border-bottom: 0;
    border-radius: 0;
    font-size: 13px;
    color: #ffffff;
    height: 21px;
    padding: 1px 20px 3px;
    font: normal;
    background-color: qlineargradient(x1:0, y1:0, x2:0, y2:1, stop:0 #dce7f5, stop:1 #205aa7);
}
QDialog QTabBar::tab:!selected {
    margin: 0 -1px 0 0;
    border: 1px solid #205aa7;
    border-bottom: 0;
    border-radius: 0;
    font-size: 13px;
    color: #205aa7;
    height: 24px;
    padding: 0 20px 1px;
    background-color: #dce7f5;
}
QDialog QTabBar::tab:last:!selected {
    margin-right: 0;
}
QDialog QTabBar::tab:last:selected {
    margin-right: 1px;
}
QDialog QTabWidget::tab-bar {
    left: 10px;
    height: 26px;
    border: 1px solid #205aa7;
    border-bottom: none;
}
QDialog QTabWidget::pane {
    border: 1px solid #205aa7;
    background-color: #ffffff;
}

QMenuBar {
    background: #ffffff;
    padding: 0;
}
QMenuBar::item {
    spacing: 3px;
    padding: 2px 10px;
    color: #205aa7;
    background: #ffffff;
}
QMenuBar::item:selected {
    background: #ffffff;
}
QMenuBar::item:pressed,
QMenuBar::item:hover {
    background: #dce7f5;
}
QMenu,
QComboBox QAbstractItemView {
    background-color: #ffffff;
    padding: 0;
    border: 1px solid #205aa7;
    selection-background-color: #205aa7;
    selection-color: #ffffff;
}
QComboBox QAbstractItemView::item {
    background-color: #205aa7;
    color: #ffffff;
    padding: 2px 5px;
}
QMenu::item {
    padding: 3px 10px 3px 27px;
    color: #205aa7;
}
QMenu::item:selected:!disabled,
QComboBox QAbstractItemView::item:selected:!disabled,
QComboBox QAbstractItemView::item:focus:!disabled {
    background: #205aa7;
	color: #ffffff;
    outline: none;
}
QMenu::icon,
QComboBox QAbstractItemView::icon {
    position: absolute;
    top: 1px;
    right: 1px;
    bottom: 1px;
    left: 6px;
}
QMenu::item:disabled,
QComboBox QAbstractItemView::item:disabled {
    color: #666;
}
QMenu::icon:checked,
QComboBox QAbstractItemView::icon:checked {
    background: white;
    border: 1px inset gray;
}
QMenu::separator,
QComboBox QAbstractItemView::separator {
    height: 1px;
    background: #205aa7;
    margin: 2px 0;
}
QMenu::indicator,
QComboBox QAbstractItemView::indicator {
    width: 13px;
    height: 13px;
}
QMenu::indicator:non-exclusive:unchecked,
QMenu::indicator:non-exclusive:unchecked:selected,
QMenu::indicator:exclusive:unchecked,
QMenu::indicator:exclusive:unchecked:selected,
QComboBox QAbstractItemView::indicator:non-exclusive:unchecked,
QComboBox QAbstractItemView::indicator:non-exclusive:unchecked:selected,
QComboBox QAbstractItemView::indicator:exclusive:unchecked,
QComboBox QAbstractItemView::indicator:exclusive:unchecked:selected {
    image: none;
}
QMenu::indicator:non-exclusive:checked,
QMenu::indicator:non-exclusive:checked:selected,
QMenu::indicator:exclusive:checked,
QMenu::indicator:exclusive:checked:selected,
QComboBox QAbstractItemView::indicator:non-exclusive:checked,
QComboBox QAbstractItemView::indicator:non-exclusive:checked:selected,
QComboBox QAbstractItemView::indicator:exclusive:checked,
QComboBox QAbstractItemView::indicator:exclusive:checked:selected {
    image: url(themes/Space/checked.png);
    position: absolute;
    top: 3px;
    left: 7px;
}

QProgressBar {
    border: 1px solid #205aa7;
    background-color: #dce7f5;
    border-radius: 2px;
    color: #205aa7;
    height: 24px;
    text-align: center;
}
QProgressBar::chunk {
    background-color: #205aa7;
    width: 20px;
}

QComboBox {
    padding-right: 20px;
    padding-left: 4px;
    border: 1px solid #205aa7;
    background-color: #ffffff;
    color: #205aa7;
    height: 24px;
    min-width: 30px;
    selection-background-color: #205aa7;
    selection-color: #ffffff;
    border-radius: 0;
}
QComboBox:focus {
    outline: none;
    border: 1px solid #205aa7;
}
QComboBox::drop-down {
    subcontrol-origin: padding;
    subcontrol-position: top right;
    width: 20px;
    border-left: 1px solid #205aa7;
    border-radius: 0;
}
QComboBox::down-arrow {
    image: url(themes/Solarized/arrow-down.png);
}
QComboBox:disabled,
QComboBox::drop-down:disabled {
    border-color: #4f4f4f;
    color: #777777;
}
QComboBox::down-arrow:disabled {
    image: url(themes/Solarized/arrow-down-disabled.png);
}
QComboBox::drop-down:no-frame,
QComboBox::drop-down:no-frame::disabled {
    border-color: transparent;
    background-color: transparent;
}

QAbstractSpinBox,
QSpinBox {
    padding-right: 20px;
    border: 1px solid #205aa7;
    background-color: #ffffff;
    color: #205aa7;
    border-radius: 0;
    height: 24px;
    min-width: 30px;
    selection-background-color: #205aa7;
    selection-color: #ffffff;
    padding-left: 4px;
}
QAbstractSpinBox:focus,
QSpinBox:focus {
    outline: none;
    border: 1px solid #205aa7;
}
QAbstractSpinBox::up-button,
QSpinBox::up-button {
    padding-top: 2px;
    subcontrol-position: top right;
    width: 20px;
    height: 10px;
    border: 0;
    border-left: 1px solid #205aa7;
}
QAbstractSpinBox::up-button:pressed,
QSpinBox::up-button:pressed {
    background-color: #205aa7;
}
QAbstractSpinBox::up-arrow,
QSpinBox::up-arrow {
    image: url(themes/Solarized/arrow-up.png);
    width: 8px;
    height: 6px;
}
QAbstractSpinBox::up-arrow:disabled,
QAbstractSpinBox::up-arrow:off,
QSpinBox::up-arrow:disabled,
QSpinBox::up-arrow:off {
    image: url(themes/Solarized/arrow-up-disabled.png);
}
QAbstractSpinBox::down-button,
QSpinBox::down-button {
    padding-bottom: 2px;
    subcontrol-position: bottom right;
    width: 20px;
    height: 10px;
    border: 0;
    border-left: 1px solid #205aa7;
}
QAbstractSpinBox::down-button:pressed,
QSpinBox::down-button:pressed {
    background-color: #205aa7;
}
QAbstractSpinBox::down-arrow,
QSpinBox::down-arrow {
    image: url(themes/Solarized/arrow-down.png);
    width: 8px;
    height: 6px;
}
QAbstractSpinBox::down-arrow:disabled,
QAbstractSpinBox::down-arrow:off,
QSpinBox::down-arrow:disabled,
QSpinBox::down-arrow:off {
    image: url(themes/Solarized/arrow-down-disabled.png);
}
QAbstractSpinBox:disabled,
QAbstractSpinBox:disabled:focus,
QAbstractSpinBox::up-button:disabled,
QAbstractSpinBox::down-button:disabled,
QSpinBox:disabled,
QSpinBox:disabled:focus,
QSpinBox::up-button:disabled,
QSpinBox::down-button:disabled {
    border-color: #4f4f4f;
    color: #777777;
}

QAbstractTextEdit,
QAbstractLineEdit,
QLineEdit {
    background-color: #ffffff;
    border: 1px solid #205aa7;
    outline: none;
    color: #205aa7;
    border-radius: 0;
    min-width: 60px;
    selection-background-color: #205aa7;
    selection-color: #ffffff;
    padding: 0 4px;
}
QLineEdit {
    height: 24px;
}
QAbstractLineEdit:focus,
QTextEdit:focus,
QLineEdit:focus {
    outline: none;
    border: 1px solid #205aa7;
}
QAbstractLineEdit:disabled,
QTextEdit:disabled,
QTextEdit:disabled:focus,
QLineEdit:disabled,
QLineEdit:disabled:focus,
QLineEdit:read-only,
QLineEdit:read-only:focus {
    border: 1px solid #4f4f4f;
    color: #777777;
}

QGroupBox {
    border: 1px solid #205aa7;
    padding-top: 10px;
    margin-top: 10px;
	margin-bottom: 10px;
	padding-bottom: 10px;
    outline: none;
    spacing: 0px;
}
QGroupBox::title {
    color: #205aa7;
    font-size: 14px;
    position: absolute;
    top: -9px;
    left: 7px;
    padding: 0 1px;
}
QCheckBox {
    spacing: 5px;
    outline: none;
    color: #205aa7;
    margin-bottom: 2px;
}
QCheckBox:disabled {
    color: #777777;
}
QCheckBox::indicator,
QGroupBox::indicator {
    width: 18px;
    height: 18px;
}
QGroupBox::indicator {
    margin-left: 2px;
}
QCheckBox::indicator:unchecked,
QCheckBox::indicator:unchecked:hover,
QGroupBox::indicator:unchecked,
QGroupBox::indicator:unchecked:hover {
    image: url(themes/Space/checkbox_unchecked.png);
}
QCheckBox::indicator:unchecked:focus,
QCheckBox::indicator:unchecked:pressed,
QGroupBox::indicator:unchecked:focus,
QGroupBox::indicator:unchecked:pressed {
    image: url(themes/Space/checkbox_unchecked_focus.png);
}
QCheckBox::indicator:checked,
QCheckBox::indicator:checked:hover,
QGroupBox::indicator:checked,
QGroupBox::indicator:checked:hover {
    image: url(themes/Space/checkbox_checked.png);
}
QCheckBox::indicator:checked:focus,
QCheckBox::indicator:checked:pressed,
QGroupBox::indicator:checked:focus,
QGroupBox::indicator:checked:pressed {
    image: url(themes/Space/checkbox_checked_focus.png);
}
QCheckBox::indicator:indeterminate,
QCheckBox::indicator:indeterminate:hover,
QCheckBox::indicator:indeterminate:pressed,
QCheckBox::indicator:checked:disabled,
QGroupBox::indicator:indeterminate,
QGroupBox::indicator:indeterminate:hover,
QGroupBox::indicator:indeterminate:pressed,
QGroupBox::indicator:checked:disabled {
    image: url(themes/Space/checkbox_checked_disabled.png);
}
QCheckBox::indicator:unchecked:disabled,
QGroupBox::indicator:unchecked:disabled {
    image: url(themes/Space/checkbox_unchecked_disabled.png);
}

QRadioButton {
    spacing: 5px;
    outline: none;
    color: #205aa7;
    margin-bottom: 2px;
}
QRadioButton:disabled {
    color: #777777;
}
QRadioButton::indicator {
    width: 21px;
    height: 21px;
}
QRadioButton::indicator:unchecked,
QRadioButton::indicator:unchecked:hover {
    image: url(themes/Space/radio_unchecked.png);
}
QRadioButton::indicator:unchecked:focus,
QRadioButton::indicator:unchecked:pressed {
    image: url(themes/Space/radio_unchecked_focus.png);
}

QRadioButton::indicator:checked,
QRadioButton::indicator:checked:hover {
    image: url(themes/Space/radio_checked.png);
}
QRadioButton::indicator:checked:focus,
QRadioButton::indicato::menu-arrowr:checked:pressed {
    image: url(themes/Space/radio_checked_focus.png);
}

QRadioButton::indicator:indeterminate,
QRadioButton::indicator:indeterminate:hover,
QRadioButton::indicator:indeterminate:pressed,
QRadioButton::indicator:checked:disabled {
    image: url(themes/Space/radio_checked.png);
}
QRadioButton::indicator:unchecked:disabled {
    image: url(themes/Space/radio_unchecked.png);
}
